---
title: GET /v3/publishing-events/{publishing_event_id}
slug: content-marketing-platform/api/get-v3publishing-eventspublishingeventid
docTags: 
createdAt: 2026-10-01T18:51:26.265Z
---

{
  "id": "RheyFdoCa2pimw0nq5ck2",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id}",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id}",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "GET /v3/publishing-events/{publishing_event_id}",
    "description": "Get the publishing event by ID",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "publishing_event_id",
          "type": "string",
          "example": "1d9d8aeca10811ebbc640242ac12001b",
          "description": "Unique identifier of the publishing event"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Fetched publishing event",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "PublishingEventResponse",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string",
                "nullable": false,
                "description": "Unique identifier of the publishing event",
                "example": "5d7f910551b00a722e0418830cee5534"
              },
              {
                "name": "assets",
                "kind": "required",
                "type": "array",
                "description": "List of assets associated with the publishing event.",
                "modelRef": "#/components/schemas/PublishingEventAssets",
                "customType": "PublishingEventAssets[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "nullable": false,
                    "description": "Unique identifier of the asset",
                    "example": "5d7f910551b00a722e0418830cee2212"
                  },
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string",
                    "nullable": false,
                    "description": "<p>Type of the asset: <code>article</code>, <code>image</code>, <code>video</code>, <code>raw_file</code>, <code>structured_content</code></p>",
                    "example": "article"
                  },
                  {
                    "name": "publishing_metadata",
                    "kind": "required",
                    "type": "array",
                    "nullable": false,
                    "description": "List of information related to publishing metadata for the asset",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "nullable": false,
                        "description": "Unique identifier of the publishing metadata",
                        "example": "5e46745616s564s4564964"
                      },
                      {
                        "name": "links",
                        "kind": "required",
                        "type": "object",
                        "nullable": false,
                        "description": "Meta links",
                        "example": "",
                        "schema": [
                          {
                            "name": "self",
                            "kind": "required",
                            "type": "string",
                            "description": "URL of the publishing metadata of the asset",
                            "example": "https://api.cmp.optimizely.com/v3/publishing-events/5d7f910551b00a722e0418830cee5534/assets/5d7f910551b00a722e0418830cee2212/publishing-metadata/5e46745616s564s4564964"
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "links",
                    "kind": "required",
                    "type": "object",
                    "description": "Meta links",
                    "example": "",
                    "schema": [
                      {
                        "name": "self",
                        "kind": "required",
                        "type": "string",
                        "description": "URL of asset",
                        "example": "https://api.cmp.optimizely.com/v3/articles/5d7f910551b00a722e0418830cee2212"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "links",
                "kind": "required",
                "type": "object",
                "description": "Meta links",
                "example": "",
                "schema": [
                  {
                    "name": "self",
                    "kind": "required",
                    "type": "string",
                    "description": "URL of the publishing event",
                    "example": "https://api.cmp.optimizely.com/v3/publishing-events/5d7f910551b00a722e0418830cee2212"
                  },
                  {
                    "name": "publishing_metadata",
                    "kind": "required",
                    "type": "string",
                    "description": "URL of list of publishing metadata",
                    "example": "https://api.cmp.optimizely.com/v3/publishing-events/5d7f910551b00a722e0418830cee5534/publishing-metadata"
                  },
                  {
                    "name": "progress_updates",
                    "kind": "required",
                    "type": "string",
                    "description": "URL of the list of progress updates posted for this publishing event",
                    "example": "https://api.cmp.optimizely.com/v3/publishing-events/5d7f910551b00a722e0418830cee5534/progress-updates"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/PublishingEventResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Client error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unsupported arguments: a,b,c\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Authorization error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unauthorized\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Permission error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"You do not have the permission to perform this operation\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not found error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Resource not found\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "Mi1C8c0UyQoD_i0wusURE",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "9rX4xx8FIXs3Rj72HoTuT",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "NT_oeKs-mC78y5dSRyptR",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "CEMzaji1rg4D2LvCyvuDu",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "Mi1C8c0UyQoD_i0wusURE"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Fetched publishing event\n{\n  \"id\": \"5d7f910551b00a722e0418830cee5534\",\n  \"assets\": [\n    {\n      \"id\": \"5d7f910551b00a722e0418830cee2212\",\n      \"type\": \"article\",\n      \"publishing_metadata\": [\n        {\n          \"id\": \"5e46745616s564s4564964\",\n          \"links\": {\n            \"self\": \"https://api.cmp.optimizely.com/v3/publishing-events/5d7f910551b00a722e0418830cee5534/assets/5d7f910551b00a722e0418830cee2212/publishing-metadata/5e46745616s564s4564964\"\n          }\n        }\n      ],\n      \"links\": {\n        \"self\": \"https://api.cmp.optimizely.com/v3/articles/5d7f910551b00a722e0418830cee2212\"\n      }\n    }\n  ],\n  \"links\": {\n    \"self\": \"https://api.cmp.optimizely.com/v3/publishing-events/5d7f910551b00a722e0418830cee2212\",\n    \"publishing_metadata\": \"https://api.cmp.optimizely.com/v3/publishing-events/5d7f910551b00a722e0418830cee5534/publishing-metadata\",\n    \"progress_updates\": \"https://api.cmp.optimizely.com/v3/publishing-events/5d7f910551b00a722e0418830cee5534/progress-updates\"\n  }\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Client error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Authorization error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-3-403",
          "language": "403",
          "code": "// Permission error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-4-404",
          "language": "404",
          "code": "// Not found error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}